Skip to content

Update a comment.

PUT
/api/workspace/comments/{commentId}
curl --request PUT \
--url https://example.com/api/workspace/comments/example \
--header 'Content-Type: application/json' \
--data '{ "CommentText": "example" }'
  • None
commentId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload to update a comment.

object
CommentText

Updated comment text.

string
nullable
Examplegenerated
{
"CommentText": "example"
}

OK

Media typeapplication/json
object
Data

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}